PDA

View Full Version : Unable to update beta....



Airmaxx23
12-07-2010, 12:51 PM
I'm registered for the beta but when I try installing the newest version of Swype, through the Swype installer, it causes Swype to force close and I'm now no longer able to use it. Any suggestions?

brian.resnik
12-07-2010, 1:02 PM
Unfortunately if you're receiving a force-close, the only possible solutions are:
Clear Data for the Swype and SwypeInstaller applications (Settings -> Applications -> Swype -> Clear Data. Same for SwypeInstaller)
Clear your device's dalvik-cache (requires root. Use a custom recovery to access this option)
Wipe/factory reset your device

It's POSSIBLE that there is a specific application conflict, but this usually is not the case.

TReKiE
12-07-2010, 1:22 PM
Same here on a HTC Dream. Haven't tried a wipe of the device yet, but will later.

JamesHT
12-07-2010, 7:33 PM
Force close when running installer with Motorola CLIQ also (Android 1.5). Don't think I'm going to root the phone nor reset it to factory (and since I've uninstalled the previous version, the first bullet would appear to be moot). I hope a new refresh will get past this as I'm going to miss it...

OIC.JC
12-08-2010, 10:55 AM
Having the same problem as JamesHT, also on a CLIQ. The installer appears to install correctly, but almost immediately after starting the installer ("Checking Installer Version..." page), I get the following error:

"Sorry! The application Swype Installer (process com.swype.android.installer) has stopped unexpectedly. Please try again."

I use the Force Close button and it returns to the "Checking Installer Version..." page, and a few second later the error repeats. Hitting Force Close again returns me to the same page, where I'm now stuck unless I return to home or force-close the app with ATS.

I'm likewise not keen on rooting the phone or doing a factory reset, as I fully expect this is the phone's fault, and won't actually fix anything. The CLIQ hasn't, and likely won't get an Android 2 upgrade... ever. =P

So, the question is, is there a way to access/reinstall the previous version of the installer & app? I have been running Swype on this thing ever since I got it and I LOVE it, but until I'm able to upgrade my phone I'd love to keep using it, even an older version. Wish I'd checked to see if there were any problems with this new version before I uninstalled...

brian.resnik
12-08-2010, 11:03 AM
Swype BETA does not support Android 1.5. We require android 1.6 or later. Sorry :(

OIC.JC
12-08-2010, 12:38 PM
I have been running Swype BETA on this phone (with Android 1.5) since June. :confused:

Let me ask again... since the previous version worked and the new version does not, is there any way to download and re-install the previous version?

EDIT: Did some more digging and it appears that Moto has finally given us a 2.1 update. For any other CLIQ users:
http://www.motorola.com/Support/US-EN/Android_Products/Software_Update_Landing_Page/CLIQ_Software_Update_Page

TReKiE
12-09-2010, 2:43 PM
Swype BETA does not support Android 1.5. We require android 1.6 or later. Sorry :(

Is this written somewhere? Because I checked the notes before attempting to update and it made no mention of it. If it is written somewhere, it should be noted in more places. Also, as others noted here, it's worked just fine up till this release, even if it wasn't officially supported, so it may be worth a few minutes of someone's time to continue to make it work (for a later revenue stream). As well, the apk should be set to not even execute when attempted on 1.5 or prior android versions.

Bit disappointed that I'll no longer be able to use it, but I guess I'll survive. There will never be a 1.5 update to my device and certainly not another version specifically made for my carrier, so that won't be happening.

shiggz
01-30-2011, 1:39 PM
I downloaded the swype beta and installed it today and it licenses the software and says install successful, i tried text input into my text messages and internet browser and the swype keyboard appears and allows single tap inputs but doesn't swype. i am running the "unofficial" leak update of android 2.1 on the moto cliq

brian.resnik
01-31-2011, 10:28 AM
I downloaded the swype beta and installed it today and it licenses the software and says install successful, i tried text input into my text messages and internet browser and the swype keyboard appears and allows single tap inputs but doesn't swype. i am running the "unofficial" leak update of android 2.1 on the moto cliq

Please try running the installer again WITHOUT uninstalling Swype first. It should try to re-license if there was an error in the licensing process. If it takes you directly to the "Finish" screen, please try uninstalling and reinstalling using the steps outlined in the BASIC TROUBLESHOOTING post at the top of this forum. Let me know how it goes! Thanks.

rob.boehm
02-01-2011, 4:49 PM
I'm not too sure how well it's incompatibility with 1.5 is noted on the download, but there is a reference thread to it on the Known Error database here:
http://forum.swype.com/showthread.php?2285-Force-Close-on-Android-1.5

I did check the download pages and couldn't find any reference to it there. On one hand it sound logical to include something like that. But on the other hand there's already a lot of information on the FAQ page. There's a constant balance on getting the right information in the right places so that people can find it and don't pass it up.

(Like the fact you were supposed to find that Known Error thread before posting here *cough*) =D